@charset "utf-8";

/* ----------------------------------------
	header.css(下層ページ)
---------------------------------------- */
header {
  position: fixed;
  z-index: 998;
  width: 100%;
}

.header-inner {
  position: relative;
  width: 100%;
  height: 90px;
  display: flex;
  align-items: center;
  background-color: #fff;
  padding: 0 1rem;
  /* margin-bottom: 1rem; */
}

/* スクロール位置を補正 */
.anchor {
  scroll-margin-top: 100px;
}

.header-left {
  flex: 1;
}

.header-right {
  flex: 3;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 1rem;
  height: 100%;
}

.global-nav-container,
.contact-btn-container {
  display: flex;
  align-items: center;
  height: inherit;
}

.contact-btn p {
  font-size: 0.9rem;
  transition: transform 0.3s ease;
}

.contact-btn p i {
  margin-left: 0.5rem;
  color: #fff;
  display: inline-block;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background: #3067d1;
  text-align: center;
  line-height: 40px;
  
}

.contact-btn :hover p {
  color: #3067d1;
  font-weight: 700;
  transform: scale(1.05);
}

.global-nav-list li {
  font-size: 0.9rem;
}

.global-nav-list {
  width: 100%;
  height: 90px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.global-nav-list > li.mega-menu {
  height: auto;
}

.global-nav-list > li.mega-menu > a {
  display: flex;
  align-items: center;
  height: 90px;
  padding: 0 1rem;
}

.global-nav-list > li a {
  display: block;
}

.global-nav-list > li a:hover {
  color: #3067d1;
}

ul.global-nav-list .sub-menu {
  visibility: hidden;
  opacity: 0;
  z-index: 1;
}

.global-nav:hover .global-nav-list > li.mega-menu ul.sub-menu {
  border-top: 1px solid #bac7cc;
}

.global-nav-list > li.mega-menu a {
  position: relative;
}

.global-nav-list li.mega-menu > a::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 2px;
  background: #3067d1;
  transform: scaleX(0);
  transition: transform 0.2s ease;
}

.global-nav-list li.mega-menu > a:hover::after {
  transform: scaleX(1); 
}

.global-nav-list > li.mega-menu ul.sub-menu {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  padding: 2rem 15% 3rem 15%;
  box-sizing: border-box;
  background: #eaf0fa;
  visibility: hidden;
  opacity: 1;
  transition: all 0.2s ease;
  z-index: 999;
}

.global-nav-list > li.mega-menu:hover ul.sub-menu {
  visibility: visible;
  opacity: 1;
}

.global-nav-list > li.mega-menu ul.sub-menu > li {
  float: left;
  width: 32%;
  padding: 1rem 1.5rem;
  border-bottom: 1px solid #bac7cc;
}

.global-nav-list > li.mega-menu ul.sub-menu > li:nth-child(3n + 2) {
  margin: 0 1rem;
}

.global-nav-list > li.mega-menu ul.sub-menu > li:nth-child(n + 4) {
  margin-top: 2rem;
}

.sub-menu-item br,
.sub-menu-item span {
  display: none;
}

.sub-menu-item a {
  display: block;
  position: relative;
  padding-right: 2rem;
  line-height: 1.6;
}

.sub-menu-item a::after {
  content: "\f061";
  font-family: "Font Awesome 6 Free";
  font-size: 0.8rem;
  font-weight: 900;
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  color: #fff;
  display: inline-block;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  background: #3067d1;
  text-align: center;
  line-height: 25px;
  transition: all 0.2s ease;
}

.sub-menu-item:hover a::after {
  transform: translateY(-50%) scale(1.1);
}

/* hamburger-nav */
.menu-icon,
.overlay,
.hamburger-nav {
  display: none;
}

/* 画面幅1180px以下 */
@media screen and (max-width:1180px) {
  .global-nav-list > li.mega-menu > a {
    padding: 0 0.75rem;
  }

  .global-nav-list > li.mega-menu ul.sub-menu {
    padding: 2rem 10% 3rem 10%;
  }
}

/* 画面幅1024px以下 */
@media screen and (max-width:1024px) {
  .global-nav,
  .contact-btn-container {
    display: none;
  }

  .menu-icon,
  .overlay,
  .hamburger-nav {
    display: block;
  }

  .menu-icon {
    position: fixed;
    top: 1.5rem;
    right: 20px;
    width: 40px;
    height: 24px;
    cursor: pointer;
    z-index: 11;
    background: transparent;
    border: none;
  }

  .menu-icon p {
    color: #3067d1;
    font-family: "Montserrat", sans-serif;
    font-size: 10.5px;
    font-weight: 700;
    line-height: 1.2;
  }

  .menu-icon span {
    display: block;
    height: 3px;
    width: 100%;
    margin: 6px 0;
    background: #3067d1;
    border-radius: 2px;
    transition: all 0.4s ease;
    transform-origin: center;
  }

  .menu-icon.open span:nth-of-type(1) {
    transform: translateY(9px) rotate(45deg);
  }

  .menu-icon.open span:nth-of-type(2) {
    opacity: 0;
  }

  .menu-icon.open span:nth-of-type(3) {
    transform: translateY(-9px) rotate(-45deg);
  }

  .overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.5);
    opacity: 0;
    pointer-events: none;
    transition: 0.4s;
    z-index: 5;
  }

  .overlay.active {
    opacity: 1;
    pointer-events: auto;
  }

  .hamburger-nav {
    position: fixed;
    top: 0;
    right: -375px;
    width: 375px;
    height: 100%;
    background: #eaf0fa;
    box-shadow: 2px 0 8px rgba(0,0,0,0.2);
    transition: right 0.4s ease;
    z-index: 10;
  }

  .hamburger-nav.open {
    right: 0;
  }

  .hamburger-nav-list {
    list-style: none;
    padding: 6rem 1rem 1rem 2rem;
  }

  .hamburger-nav li {
    margin: 2rem 0;
    position: relative;
  }

  .hamburger-nav a {
    display: block;
    font-size: 1rem;
  }

  .hamburger-nav .sub-menu a:hover {
    color: #3067d1;
  }

  .hamburger-contact a br,
  .hamburger-contact a span {
    display: none;
  }

  .hamburger-contact .fa-arrow-right {
    display: inline-block;
    margin-left: 9.3rem;
  }

  .hamburger-contact:hover .fa-arrow-right {
    transform: scale(1.1);
  }

  .hamburger-nav .hamburger-contact {
    margin-top: 3rem;
  }

  .hamburger-contact {
    background-color: #fff;
    margin-top: 2rem;
    padding: 1rem 0 1rem 1rem;
    border-radius: 10px;
  }

  .hamburger-contact a {
    color: #3067d1;
    font-weight: 700;
    transition: transform 0.3s ease;
  }

  .hamburger-contact .fa-arrow-right {
    width: 30px;
    height: 30px;
    line-height: 30px;
  }


  /* サブメニュー */
  .hamburger-nav .sub-menu {
    display: none;
    padding-left: 1rem;
    border-left: 2px solid #3067d1;
    margin-top: 10px;
    margin-left: 0.5rem;
    transition: max-height 0.3s ease;
  }

  .hamburger-nav .sub-menu a {
    font-size: 0.95rem;
  }

  .hamburger-nav .menu-item-has-children::after {
    content: "+";
    position: absolute;
    right: 20px;
    top: 0.75rem;
    transform: translateY(-50%);
    font-size: 1rem;
    font-weight: 900;
    color: #3067d1;
    cursor: pointer;
  }

  .hamburger-nav .menu-item-has-children.open::after {
    content: "−";
  }

  .hamburger-nav .menu-item-has-children.open .sub-menu {
    display: block;
  }
}


  /* 画面幅767px以下 */
  @media screen and (max-width:767px) {
    .header-right {
        flex: 2;
    }

    .menu-icon {
      top: 1.25rem;
    }

    .hamburger-nav-list {
      list-style: none;
      padding: 4rem 1rem 1rem 2rem;
    }
  }

  /* 画面幅575px以下 */
  @media screen and (max-width:575px) {
    .header-right {
      flex: 1.2;
    }

    .menu-icon {
      top: 1rem;
    }
  }

  /* 画面幅475px以下 */
  @media screen and (max-width:475px) {
    .header-right {
      flex: 1;
    }
  }

  /* 画面幅475px以下 */
  @media screen and (max-width:475px) {
    .header-right {
      flex: 0.8;
    }
  }
